com.google.cloud.dataflow.examples.complete.game

## Class UserScore.ExtractAndSumScore

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PCollection<com.google.cloud.dataflow.examples.complete.game.UserScore.GameActionInfo>,PCollection<KV<String,Integer>>>
  - - com.google.cloud.dataflow.examples.complete.game.UserScore.ExtractAndSumScore

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  UserScore

    public static class UserScore.ExtractAndSumScore
    extends PTransform<PCollection<com.google.cloud.dataflow.examples.complete.game.UserScore.GameActionInfo>,PCollection<KV<String,Integer>>>

A transform to extract key/score information from GameActionInfo, and sum the scores. The constructor arg determines whether 'team' or 'user' info is extracted.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Method Summary

All Methods Instance Methods Concrete Methods
`PCollection<KV<String,Integer>>` `apply(PCollection<com.google.cloud.dataflow.examples.complete.game.UserScore.GameActionInfo> gameInfo)`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName, populateDisplayData, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### apply

    public PCollection<KV<String,Integer>> apply(PCollection<com.google.cloud.dataflow.examples.complete.game.UserScore.GameActionInfo> gameInfo)

Overrides:
  `apply` in class `PTransform<PCollection<com.google.cloud.dataflow.examples.complete.game.UserScore.GameActionInfo>,PCollection<KV<String,Integer>>>`